import request from '@/utils/request'

// 查询AI的标签列表
export function listFastGptRoleTag(query) {
  return request({
    url: '/fastGpt/fastGptRoleTag/list',
    method: 'get',
    params: query
  })
}

// 查询AI的标签详细
export function getFastGptRoleTag(id) {
  return request({
    url: '/fastGpt/fastGptRoleTag/' + id,
    method: 'get'
  })
}


// 查询AI的标签根据roleId
export function getListByRoleId(roleId) {
  return request({
    url: '/fastGpt/fastGptRoleTag/getListByRoleId/' + roleId,
    method: 'get'
  })
}


// 新增AI的标签
export function addFastGptRoleTag(data) {
  return request({
    url: '/fastGpt/fastGptRoleTag',
    method: 'post',
    data: data
  })
}

// 修改AI的标签
export function updateFastGptRoleTag(data) {
  return request({
    url: '/fastGpt/fastGptRoleTag',
    method: 'put',
    data: data
  })
}

// 删除AI的标签
export function delFastGptRoleTag(id) {
  return request({
    url: '/fastGpt/fastGptRoleTag/' + id,
    method: 'delete'
  })
}

// 导出AI的标签
export function exportFastGptRoleTag(query) {
  return request({
    url: '/fastGpt/fastGptRoleTag/export',
    method: 'get',
    params: query
  })
}
